> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Group Roles > List all the roles of users in the private channel. ### Changelog | Version | Description | | ------- | ----------- | | 0.65.0 | Added | ## OpenAPI ````json GET /api/v1/groups.roles { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.roles": { "get": { "tags": [ "Groups" ], "summary": "List Group Roles", "description": "List all the roles of users in the private channel.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.65.0 | Added |", "operationId": "get-api-v1-groups.roles", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string", "example": "67ade8ef57422a89b02e2ce3" }, "in": "query", "name": "roomId", "description": "Enter the private channel ID. Alternatively, you can use the `roomName` parameter and enter the private channel's name.", "required": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "roles": { "type": "array", "items": { "type": "object", "properties": { "rid": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "roles": { "type": "array", "items": { "type": "string" } }, "_id": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "roles": [ { "rid": "BaE62jfDLXK3Xo6BA", "u": { "_id": "BkNkw3iKgNyhMbPyW", "username": "ronnie.dio", "name": "Ronnie James Dio" }, "roles": [ "moderator" ], "_id": "ehPuGyZBedznJsQHp" } ], "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````